package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.service.ExamStudentCountService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**在线考生
 * @author chenken
 *
 */
@Component("examStudentOnlineCountTask")
public class ExamStudentOnlineCountTask extends AbstractTask {

	@Autowired
	ExamStudentCountService examStudentCountService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		examStudentCountService.saveOnlieCount();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
