package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.reports.api.StudentOperateLogCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**学生日志
 * @author chenken
 *
 */
@Component("studentOperateLogTask")
public class StudentOperateLogTask extends AbstractTask {

	@Autowired
	StudentOperateLogCloudService studentOperateLogCloudService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		studentOperateLogCloudService.clean();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
