package cn.com.qmth.examcloud.task.service.job;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreObtainQueueCloudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**
 *
 * @author  	chenken,lideyin
 * @date    	2018年12月27日 下午1:43:31,20190313
 * @company 	QMTH
 * @description 获取考试分数通知队列任务
 */
@Component("examScoreObtainNotifyQueueTask")
public class ExamScoreObtainNotifyQueueTask extends AbstractTask{

    @Autowired
    private TaskTracker taskTracker;

    @Autowired
    private ExamScoreObtainQueueCloudService examScoreObtainQueueCloudService;

    @Override
    public TaskTracker getTaskTracker() {
        return taskTracker;
    }

    @Override
    public void run(ScheduleJob scheduleJob) throws Exception {
        examScoreObtainQueueCloudService.updateObtainScoreNodifyQueue();
    }


}
