package cn.com.qmth.examcloud.task.service.job;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreNoticeQueueCloudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**
 *
 * @author lideyin
 * @date 2019年3月11日 下午6:26:23
 * @description 获取考试分数通知任务
 */
@Component("examScoreObtainNotifyTask")
public class ExamScoreObtainNotifyTask extends AbstractTask{

    @Autowired
    private TaskTracker taskTracker;
    @Autowired
    private ExamScoreNoticeQueueCloudService examScoreNoticeQueueCloudService;

    @Override
    public TaskTracker getTaskTracker() {
        return taskTracker;
    }

    @Override
    public void run(ScheduleJob scheduleJob) throws Exception {
        examScoreNoticeQueueCloudService.sendObtainScoreNotice();
    }


}
