package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.reports.api.StudentCumulativeCountCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**累计在线学生
 * @author chenken
 *
 */
@Component("studentCumulativeCountTask")
public class StudentCumulativeCountTask extends AbstractTask {

	@Autowired
	StudentCumulativeCountCloudService studentCumulativeCountCloudService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		studentCumulativeCountCloudService.saveCount();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
